API reference
Brand Kit
Product overview: Rendley video editing API
Get the workspace brand kit
Retrieve the brand kit profile (website, summary, tone, onboarded) for a workspace.
GET
https://api.rendley.com/v1/brandkit/{id}Don't have one? Create an API key
const res = await fetch("https://api.rendley.com/v1/brandkit/ID", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json();curl "https://api.rendley.com/v1/brandkit/ID" \
-H "Authorization: Bearer YOUR_API_KEY"import requests
res = requests.get(
"https://api.rendley.com/v1/brandkit/ID",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"]$ch = curl_init("https://api.rendley.com/v1/brandkit/ID");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY"]);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true)["data"];package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.rendley.com/v1/brandkit/ID", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
b, _ := io.ReadAll(res.Body)
fmt.Println(string(b))
}require "net/http"
require "json"
uri = URI("https://api.rendley.com/v1/brandkit/ID")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)["data"]Response 200
{
"data": {
"brand_voice": {
"audience": "string",
"energy": "string",
"name": "string",
"notes": "string",
"tone": "string"
},
"branding": {},
"id": "3f0d5a4e-3d2a-4c1f-9b3e-2a1c4d5e6f70",
"onboarded": true,
"summary": "string",
"tone": "string",
"website_url": "string",
"workspace_id": "3f0d5a4e-3d2a-4c1f-9b3e-2a1c4d5e6f70"
}
}Add a brand asset from a URL or the library
Copies one file into the brand kit as a logo, font or asset: from a public HTTPS URL, or from an item in the workspace library. Up to 50 MB.
POST
https://api.rendley.com/v1/brandkit/{id}/assets/importconst res = await fetch("https://api.rendley.com/v1/brandkit/ID/assets/import", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"asset_type": "<asset_type>"
}),
});
const { data } = await res.json();curl -X POST "https://api.rendley.com/v1/brandkit/ID/assets/import" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"asset_type": "<asset_type>"
}'import requests
res = requests.post(
"https://api.rendley.com/v1/brandkit/ID/assets/import",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"asset_type": "<asset_type>"
},
)
data = res.json()["data"]$ch = curl_init("https://api.rendley.com/v1/brandkit/ID/assets/import");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(["asset_type" => "<asset_type>"]));
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true)["data"];package main
import (
"fmt"
"io"
"net/http"
"bytes"
)
func main() {
body := bytes.NewBufferString(`{
"asset_type": "<asset_type>"
}`)
req, _ := http.NewRequest("POST", "https://api.rendley.com/v1/brandkit/ID/assets/import", body)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
b, _ := io.ReadAll(res.Body)
fmt.Println(string(b))
}require "net/http"
require "json"
uri = URI("https://api.rendley.com/v1/brandkit/ID/assets/import")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["Content-Type"] = "application/json"
req.body = { asset_type: "<asset_type>" }.to_json
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)["data"]Response 200
{
"data": {
"asset_type": "string",
"duration": 0,
"height": 0,
"id": "3f0d5a4e-3d2a-4c1f-9b3e-2a1c4d5e6f70",
"mime_type": "string",
"name": "string",
"original_file_name": "string",
"source_url": "string",
"tags": [
"string"
],
"width": 0
}
}Import brand kit from a website
Extract a website's brand (via the Gemini-backed extractor) and populate the brand kit profile, colors and fonts.
POST
https://api.rendley.com/v1/brandkit/{id}/importconst res = await fetch("https://api.rendley.com/v1/brandkit/ID/import", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"website_url": "<website_url>"
}),
});
const { data } = await res.json();curl -X POST "https://api.rendley.com/v1/brandkit/ID/import" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"website_url": "<website_url>"
}'import requests
res = requests.post(
"https://api.rendley.com/v1/brandkit/ID/import",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"website_url": "<website_url>"
},
)
data = res.json()["data"]$ch = curl_init("https://api.rendley.com/v1/brandkit/ID/import");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(["website_url" => "<website_url>"]));
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true)["data"];package main
import (
"fmt"
"io"
"net/http"
"bytes"
)
func main() {
body := bytes.NewBufferString(`{
"website_url": "<website_url>"
}`)
req, _ := http.NewRequest("POST", "https://api.rendley.com/v1/brandkit/ID/import", body)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
b, _ := io.ReadAll(res.Body)
fmt.Println(string(b))
}require "net/http"
require "json"
uri = URI("https://api.rendley.com/v1/brandkit/ID/import")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["Content-Type"] = "application/json"
req.body = { website_url: "<website_url>" }.to_json
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)["data"]Response 200
{
"data": {
"brand_voice": {
"audience": "string",
"energy": "string",
"name": "string",
"notes": "string",
"tone": "string"
},
"branding": {},
"id": "3f0d5a4e-3d2a-4c1f-9b3e-2a1c4d5e6f70",
"onboarded": true,
"summary": "string",
"tone": "string",
"website_url": "string",
"workspace_id": "3f0d5a4e-3d2a-4c1f-9b3e-2a1c4d5e6f70"
}
}